Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 273)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 277)
@@ -83,5 +83,5 @@
 
 IF "%OBUILD_DIR_BIN%" == "" (
-  SET obuild_dir_bin=%obuild_platform%_obuild
+  SET obuild_dir_bin=bin_obuild
 ) ELSE (
   SET obuild_dir_bin=%OBUILD_DIR_BIN%
@@ -100,60 +100,4 @@
 IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 
-IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
-  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_platform.cpp" 1> NUL
-  IF EXIST obuild_platform.obj DEL obuild_platform.obj
-)
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_0%"
-SET obuild_pwd_osc_snovis_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
-SET OSC_home=/usr/local/OpenScientist/v16r0
-:end_if_platform_1
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_0%"
-SET obuild_pwd_osc_snovis_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
-SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
-:end_if_platform_3
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_0%"
-SET obuild_pwd_osc_snovis_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
-SET Geant4_home=/usr/local/geant4/8.2
-:end_if_platform_5
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_0%"
-SET obuild_pwd_osc_snovis_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
-SET HDF5_home=/usr/local/HDF5/1.6.5
-:end_if_platform_7
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_0%"
-SET obuild_pwd_osc_snovis_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
-SET zlib_home=/usr
-:end_if_platform_9
-SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -170,5 +114,4 @@
 
 IF EXIST "%obuild_dir_project%\Versions" DEL "%obuild_dir_project%\Versions"
-ECHO package osc_snovis v1r0   >> "%obuild_dir_project%\Versions"
 ECHO package bhep v1r4p2   >> "%obuild_dir_project%\Versions"
 ECHO package snova v2r0p0   >> "%obuild_dir_project%\Versions"
@@ -179,247 +122,4 @@
 ECHO foreign HDF5 1.6.5   >> "%obuild_dir_project%\Versions"
 
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
-IF NOT EXIST "%OSC_home%\bin"  ECHO WARNNING : Directory %OSC_home%\bin not found.  && GOTO end_if_release_15
-IF NOT EXIST "%obuild_dir_project%\.\.\bin" MKDIR "%obuild_dir_project%\.\.\bin"
-XCOPY /E /Q "%OSC_home%\bin" "%obuild_dir_project%\.\.\bin" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_15
-:end_if_platform_14
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
-IF NOT EXIST "%OSC_home%\lib"  ECHO WARNNING : Directory %OSC_home%\lib not found.  && GOTO end_if_release_17
-IF NOT EXIST "%obuild_dir_project%\.\.\lib" MKDIR "%obuild_dir_project%\.\.\lib"
-XCOPY /E /Q "%OSC_home%\lib" "%obuild_dir_project%\.\.\lib" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_17
-:end_if_platform_16
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
-IF NOT EXIST "%OSC_home%\Resources"  ECHO WARNNING : Directory %OSC_home%\Resources not found.  && GOTO end_if_release_19
-IF NOT EXIST "%obuild_dir_project%\.\.\Resources" MKDIR "%obuild_dir_project%\.\.\Resources"
-XCOPY /E /Q "%OSC_home%\Resources" "%obuild_dir_project%\.\.\Resources" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_19
-:end_if_platform_18
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
-IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib not found.  && GOTO end_if_release_21
-IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
-COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_21
-:end_if_platform_20
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_22
-IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.so not found.  && GOTO end_if_release_23
-IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
-COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so" "%obuild_dir_project%\lib\." 1> copy_exe_error
-@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_23
-:end_if_platform_22
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
-IF NOT EXIST "%CLHEP_home%\include"  ECHO WARNNING : Directory %CLHEP_home%\include not found.  && GOTO end_if_release_25
-IF NOT EXIST "%obuild_dir_project%\Resources\CLHEP\.\include" MKDIR "%obuild_dir_project%\Resources\CLHEP\.\include"
-XCOPY /E /Q "%CLHEP_home%\include" "%obuild_dir_project%\Resources\CLHEP\.\include" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_25
-:end_if_platform_24
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
-IF NOT EXIST "%Geant4_home%\include"  ECHO WARNNING : Directory %Geant4_home%\include not found.  && GOTO end_if_release_27
-IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\.\include" MKDIR "%obuild_dir_project%\Resources\Geant4\.\include"
-XCOPY /E /Q "%Geant4_home%\include" "%obuild_dir_project%\Resources\Geant4\.\include" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_27
-:end_if_platform_26
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
-IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_29
-IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
-XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4run.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4event.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4track.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4global.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_29
-:end_if_platform_28
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_30
-IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_31
-IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
-XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4run.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4event.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4track.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4global.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_31
-:end_if_platform_30
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_32
-IF NOT EXIST "%HDF5_home%\lib\libhdf5.0.0.0.dylib"  ECHO WARNNING : File %HDF5_home%\lib\libhdf5.0.0.0.dylib not found.  && GOTO end_if_release_33
-IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
-COPY "%HDF5_home%\lib\libhdf5.0.0.0.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_33
-:end_if_platform_32
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
-IF NOT EXIST "%HDF5_home%\include"  ECHO WARNNING : Directory %HDF5_home%\include not found.  && GOTO end_if_release_35
-IF NOT EXIST "%obuild_dir_project%\Resources\HDF5\.\include" MKDIR "%obuild_dir_project%\Resources\HDF5\.\include"
-XCOPY /E /Q "%HDF5_home%\include" "%obuild_dir_project%\Resources\HDF5\.\include" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_35
-:end_if_platform_34
-SET obuild_platform_result=
 
 IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -431,86 +131,21 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  osc_snovis v1r0`) DO SET obuild_osc_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_osc_snovis_path  ECHO Can't find osc_snovis package.  && GOTO obuild_return
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
-IF NOT EXIST "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.csh"  ECHO WARNNING : Directory %obuild_osc_snovis_path%\obuild\release\UNIX\setup.csh not found.  && GOTO end_if_release_37
-COPY "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.csh" "%obuild_dir_project%\." 1> copy_exe_error
-@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_37
-:end_if_platform_36
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
-IF NOT EXIST "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.sh"  ECHO WARNNING : Directory %obuild_osc_snovis_path%\obuild\release\UNIX\setup.sh not found.  && GOTO end_if_release_39
-COPY "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.sh" "%obuild_dir_project%\." 1> copy_exe_error
-@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_39
-:end_if_platform_38
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
-IF NOT EXIST "%obuild_osc_snovis_path%\obuild\release\UNIX\install"  ECHO WARNNING : Directory %obuild_osc_snovis_path%\obuild\release\UNIX\install not found.  && GOTO end_if_release_41
-COPY "%obuild_osc_snovis_path%\obuild\release\UNIX\install" "%obuild_dir_project%\." 1> copy_exe_error
-@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_41
-:end_if_platform_40
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\scripts"  ECHO WARNNING : Directory %obuild_snovis_path%\scripts not found.  && GOTO end_if_release_42
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\scripts"  ECHO WARNNING : Directory %obuild_snovis_path%\scripts not found.  && GOTO end_if_release_5
 IF NOT EXIST "%obuild_dir_project%\Resources\snovis\.\scripts" MKDIR "%obuild_dir_project%\Resources\snovis\.\scripts"
 XCOPY /E /Q "%obuild_snovis_path%\scripts" "%obuild_dir_project%\Resources\snovis\.\scripts" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_42
-IF NOT EXIST "%obuild_snovis_path%\Resources\G4Lab"  ECHO WARNNING : Directory %obuild_snovis_path%\Resources\G4Lab not found.  && GOTO end_if_release_44
+:end_if_release_5
+IF NOT EXIST "%obuild_snovis_path%\Resources\G4Lab"  ECHO WARNNING : Directory %obuild_snovis_path%\Resources\G4Lab not found.  && GOTO end_if_release_7
 IF NOT EXIST "%obuild_dir_project%\Resources\.\G4Lab" MKDIR "%obuild_dir_project%\Resources\.\G4Lab"
 XCOPY /E /Q "%obuild_snovis_path%\Resources\G4Lab" "%obuild_dir_project%\Resources\.\G4Lab" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_44
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
-IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_46
-IF NOT EXIST "%obuild_dir_project%\..\..\.\snovis_session.app" MKDIR "%obuild_dir_project%\..\..\.\snovis_session.app"
-XCOPY /E /Q "%obuild_snovis_path%\Darwin_obuild\snovis_session.app" "%obuild_dir_project%\..\..\.\snovis_session.app" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_46
-:end_if_platform_47
-SET obuild_platform_result=
+:end_if_release_7
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -522,260 +157,229 @@
 IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_bhep_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_48
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" GOTO end_if_copy_49
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_bhep_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_8
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" GOTO end_if_copy_9
   COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_49
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" GOTO end_if_copy_50
+:end_if_copy_9
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" GOTO end_if_copy_10
   COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_50
-:end_if_release_48
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_51
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" GOTO end_if_copy_52
+:end_if_copy_10
+:end_if_release_8
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_11
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" GOTO end_if_copy_12
   COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_52
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" GOTO end_if_copy_53
+:end_if_copy_12
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" GOTO end_if_copy_13
   COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_53
-:end_if_release_51
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_54
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" GOTO end_if_copy_55
+:end_if_copy_13
+:end_if_release_11
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_14
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" GOTO end_if_copy_15
   COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_55
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" GOTO end_if_copy_56
+:end_if_copy_15
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" GOTO end_if_copy_16
   COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_56
-:end_if_release_54
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_57
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" GOTO end_if_copy_58
+:end_if_copy_16
+:end_if_release_14
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_17
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" GOTO end_if_copy_18
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_58
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" GOTO end_if_copy_59
+:end_if_copy_18
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" GOTO end_if_copy_19
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_59
-:end_if_release_57
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_60
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" GOTO end_if_copy_61
+:end_if_copy_19
+:end_if_release_17
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_20
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" GOTO end_if_copy_21
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_61
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" GOTO end_if_copy_62
+:end_if_copy_21
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" GOTO end_if_copy_22
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_62
-:end_if_release_60
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_63
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" GOTO end_if_copy_64
+:end_if_copy_22
+:end_if_release_20
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_23
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" GOTO end_if_copy_24
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_64
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" GOTO end_if_copy_65
+:end_if_copy_24
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" GOTO end_if_copy_25
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_65
-:end_if_release_63
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_66
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_67
+:end_if_copy_25
+:end_if_release_23
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_26
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_27
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_67
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_68
+:end_if_copy_27
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_28
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_68
-:end_if_release_66
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_69
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_70
+:end_if_copy_28
+:end_if_release_26
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_29
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_30
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_70
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_71
+:end_if_copy_30
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_31
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_71
-:end_if_release_69
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_72
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_73
+:end_if_copy_31
+:end_if_release_29
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_32
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_33
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_73
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_74
+:end_if_copy_33
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_34
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_74
-:end_if_release_72
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_75
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_76
+:end_if_copy_34
+:end_if_release_32
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_35
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_36
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_76
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_77
+:end_if_copy_36
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_37
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_77
-:end_if_release_75
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_78
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_79
+:end_if_copy_37
+:end_if_release_35
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_38
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_39
   COPY "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_79
-:end_if_release_78
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_80
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" GOTO end_if_copy_81
+:end_if_copy_39
+:end_if_release_38
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_40
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" GOTO end_if_copy_41
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_81
-:end_if_release_80
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_82
-IF EXIST "%obuild_dir_project%\Resources/Geant4" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4"
-IF EXIST "%obuild_dir_project%\Resources/CLHEP" RMDIR /S /Q "%obuild_dir_project%\Resources/CLHEP"
-IF EXIST "%obuild_dir_project%\Resources/Python" RMDIR /S /Q "%obuild_dir_project%\Resources/Python"
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF EXIST osc_snovis_v1r0_intel_osx_gcc401.zip DEL osc_snovis_v1r0_intel_osx_gcc401.zip
-cd "%obuild_osc_snovis_path%\obuild"
-:end_if_platform_82
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_84
-IF EXIST "%obuild_dir_project%\Resources/Geant4" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4"
-IF EXIST "%obuild_dir_project%\Resources/CLHEP" RMDIR /S /Q "%obuild_dir_project%\Resources/CLHEP"
-IF EXIST "%obuild_dir_project%\Resources/Python" RMDIR /S /Q "%obuild_dir_project%\Resources/Python"
-DEL  "%obuild_dir_project%"\libXm.so.2*
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF EXIST osc_snovis_v1r0_m32_sl3_gcc323.zip DEL osc_snovis_v1r0_m32_sl3_gcc323.zip
-cd "%obuild_osc_snovis_path%\obuild"
-:end_if_platform_84
-SET obuild_platform_result=
+:end_if_copy_41
+:end_if_release_40
+
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF EXIST obuild_platform.exe DEL obuild_platform.exe
